=== packaging/macosx/ports/python/py-Pillow/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id: Portfile 124123 2014-08-19 13:57:18Z stromnov@macports.org $

PortSystem          1.0
PortGroup           python 1.0

name                py-Pillow
version             2.5.3
revision            100
categories-append   devel
platforms           darwin
license             BSD

python.versions     26 27 32 33 34

maintainers         stromnov openmaintainer

description         Python Imaging Library (fork)

long_description    ${description}

homepage            http://github.com/python-imaging/Pillow
master_sites        http://pypi.python.org/packages/source/P/Pillow/

distname            Pillow-${version}

checksums           rmd160  f10cda34a62022edf3bfe626096b6bc009a74dc8 \
                    sha256  62ff6c6cb88d4a1d6e856315b1691186b06cb923f18fde86d6abac9eeb9096d1

if {${name} ne ${subport}} {
    use_zip             yes

    conflicts           py${python.version}-pil

    depends_build       port:py${python.version}-setuptools
    depends_lib-append \
                        port:zlib \
                        port:jpeg \
                        port:tiff \
                        port:lcms \
                        port:webp \
                        port:openjpeg \
                        port:freetype

    patchfiles          patch-setup.py.diff

    post-patch {
        reinplace "s|@prefix@|${prefix}|g" ${worksrcpath}/setup.py
    }

    livecheck.type      none
} else {
    livecheck.type      regex
    livecheck.url       ${master_sites}
    livecheck.regex     {Pillow-(\d+(?:\.\d+)*)\.[tz]}
}

variant quartz conflicts x11 tkinter {
    # tkinter doesn't build
}

variant x11 conflicts quartz {
    # tkinter does build
}

variant tkinter description {with tkinter support} {
    if {$subport != $name} {
        depends_lib-append  port:py${python.version}-tkinter
    }
}

if { ![variant_isset quartz] } {
    default_variants-append +tkinter
}
